Home of the Squeezebox™ & Transporter® network music players.
Results 1 to 8 of 8
  1. #1
    Junior Member
    Join Date
    Aug 2011
    Posts
    5

    Compile SqueezePlay on Ubuntu ?

    Hy everybody,

    8 days since I try to run on Ubuntu 11.04 (x86, with Xorg only) SqueezePlay.

    If I install the deb file, it says "Unsupported PNG format" I tried to compile my own version. I applied these changes modify the file make.linux:
    On line 10, change ${PWD} to $(shell pwd) . After the change, line 10 will look thus:
    SRC_DIR = $(realpath $(shell pwd)) .
    Change line 146 from: cd luaprofiler-2.0 && make -f Makefile.linux install to: cd luaprofiler-2.0 && LD="gcc -shared" make -f Makefile.linux install
    ut when I compile, I get this error:
    Code:
    cd squeezeplay; make && make install
    make[1]: entrant dans le répertoire « /home/tv/squeezeplay/src/squeezeplay »
     cd . && /bin/bash /home/tv/squeezeplay/src/squeezeplay/config/missing --run automake-1.9 --foreign
    configure.in:24: warning: AC_CACHE_VAL(cc_wl_e_switch, ...): suspicious cache-id, must contain _cv_ to be cached
    ../../lib/autoconf/general.m4:2019: AC_CACHE_VAL is expanded from...
    ../../lib/autoconf/general.m4:2040: AC_CACHE_CHECK is expanded from...
    configure.in:24: the top level
    Makefile.am: required file `config/compile' not found
    make[1]: *** [Makefile.in] Erreur 1
    make[1]: quittant le répertoire « /home/tv/squeezeplay/src/squeezeplay »
    make: *** [squeezeplay] Erreur 2
    Can someone tell me how to solve this problem?

    Thk in advance

    This is my command :
    Code:
    sudo apt-get update
    sudo apt-get upgrade
    sudo apt-get xorg
    sudo apt-get install libpng12-dev libjpeg62-dev libexpat1-dev libreadline5-dev libx11-dev xorg-dev libasound2-dev unzip build-essential flex bison subversion cramfsprogs automake1.9 fakeroot libtool libncurses5-dev gettext libssl-dev
    svn co h t t p : / / s v n . s l i m d e v i c e s . c o m / r e p o s / j i v e / 7 . 5 / t r u n k / s q u e e z e p l a y
    cd squeezeplay/src
    (UPDATE Make.linux)
    sudo make -f Makefile.linux

  2. #2
    Junior Member
    Join Date
    Nov 2011
    Location
    Germany
    Posts
    7

    Solution for your problem?

    I tried to compile on Ubuntu 11.10 Desktop amd64 and got the same error:
    required file `config/compile' not found

    How did you solve this problem?

    thanks

  3. #3
    Junior Member
    Join Date
    Aug 2011
    Posts
    5
    My solution ?

    Windows XP Embedded is not the best solution but ... it's work

  4. #4
    Senior Member SlimChances's Avatar
    Join Date
    Apr 2005
    Posts
    1,414
    http://www.jfwhome.com/2009/11/22/co...-ubuntu-amd64/

    Have no idea if this will work on 11.10 but it is working on my Ubuntu 10.10 64 bit PC

  5. #5
    Junior Member
    Join Date
    Nov 2011
    Posts
    7

    7.5 is old

    I didn't try 7.5, but I have just compiled 7.7.1 on Fedora 16.

    Those are the steps:

    # svn co http://svn.slimdevices.com/repos/jiv...nk/squeezeplay

    # cd squeezeplay/src

    edit src/SDL-1.2.13/src/video/mmx.h
    (on the line 358 change the X with m as described here:
    http://lists.libsdl.org/pipermail/co...ry/003712.html)

    # make -f Makefile.linux
    (if it stops complaining about unused variables edit the file squeezeplay/Makefile and remove the flag -Werror from the CFLAGS, line 149.
    after the removal run make -f Makefile.linux again)

  6. #6
    Senior Member
    Join Date
    Jul 2008
    Location
    Switzerland
    Posts
    138
    Finally, I was able to successfully compile SqueezePlay on Ubuntu 11.10.

    When starting squeezeplay.sh it exits with:

    20120219 10:34:01.503 ERROR squeezeplay.ui.draw - jiveL_initSDL:174 SDL_Init(V|T|A): No available video device

    Any ideas? Maybe caused by Unity desktop?
    2167 Alben mit 26564 Titel von 3737 Interpreten.

  7. #7
    Junior Member
    Join Date
    Aug 2011
    Posts
    5
    Can you tell us how to build from source on Ubuntu ?

  8. #8
    Senior Member
    Join Date
    Jul 2008
    Location
    Switzerland
    Posts
    138
    I was compling it as described in the external link mentioned above.

    I just had to replace some outdated libraries.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •